{
  "dns": {
    "port": 53,
    "upstreamDNS": [
      "10.35.10.200",
      "223.5.5.5",
      "223.6.6.6"
    ],
    "dnssecUpstreamDNS": [
      "208.67.220.220",
      "208.67.222.222"
    ],
    "saveInterval": 10,
    "cacheTTL": 60,
    "enableDNSSEC": false,
    "queryMode": "parallel",
    "queryTimeout": 500,
    "enableFastReturn": true,
    "domainSpecificDNS": {
      "addr.arpa": [
        "10.35.10.200:53"
      ],
      "akadns": [
        "223.5.5.5:53"
      ],
      "akamai": [
        "223.5.5.5:53"
      ],
      "amazehome.cn": [
        "10.35.10.200:53"
      ],
      "amazehome.xyz": [
        "10.35.10.200:53"
      ],
      "microsoft.com": [
        "4.2.2.1:53"
      ],
      "steam": [
        "223.5.5.5:53"
      ]
    },
    "noDNSSECDomains": [
      "amazehome.cn",
      "addr.arpa",
      "amazehome.xyz",
      ".cn"
    ],
    "enableIPv6": false,
    "cacheMode": "file",
    "cacheSize": 100,
    "maxCacheTTL": 60,
    "minCacheTTL": 30,
    "cacheFilePath": "data/cache.json"
  },
  "http": {
    "port": 8081,
    "host": "0.0.0.0",
    "enableAPI": true,
    "username": "admin",
    "password": "admin"
  },
  "shield": {
    "blacklists": [
      {
        "name": "AdGuard DNS filter",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/filter.txt",
        "enabled": true,
        "lastUpdateTime": "2026-01-23T01:04:32.424Z"
      },
      {
        "name": "Adaway Default Blocklist",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/hosts/adaway.txt",
        "enabled": true,
        "lastUpdateTime": "2025-11-28T15:36:43.086Z"
      },
      {
        "name": "CHN-anti-AD",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/list/easylist.txt",
        "enabled": true,
        "lastUpdateTime": "2025-12-16T08:50:10.180Z"
      },
      {
        "name": "My GitHub Rules",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/costomize.txt",
        "enabled": true,
        "lastUpdateTime": "2026-01-17T19:04:34.551Z"
      },
      {
        "name": "CNList",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/list/china.list",
        "enabled": false
      },
      {
        "name": "大圣净化",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/hosts/dsjh.txt",
        "enabled": true
      },
      {
        "name": "Hate \u0026 Junk",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/hate-and-junk-extended.txt",
        "enabled": true,
        "lastUpdateTime": "2025-12-21T10:46:43.522Z"
      },
      {
        "name": "My Gitlab Hosts",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/hosts/costomize.txt",
        "enabled": true,
        "lastUpdateTime": "2025-12-18T10:39:39.333Z"
      },
      {
        "name": "Anti Remote Requests",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/hosts/anti-remoterequests.txt",
        "enabled": true
      },
      {
        "name": "URL-Based.txt",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/url-based-adguard.txt",
        "enabled": true
      },
      {
        "name": "My Gitlab A/T Rules",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/ads-and-trackers.txt",
        "enabled": true,
        "lastUpdateTime": "2025-12-24T07:11:07.334Z"
      },
      {
        "name": "My Gitlab Malware List",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/malware.txt",
        "enabled": true
      },
      {
        "name": "hosts",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/hosts/costomize.txt",
        "enabled": true
      },
      {
        "name": "AWAvenue-Ads-Rule",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/rules/AWAvenue-Ads-Rule.txt",
        "enabled": true
      },
      {
        "name": "诈骗域名",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/cheat.txt",
        "enabled": true
      }
    ],
    "updateInterval": 3600,
    "blockMethod": "NXDOMAIN",
    "customBlockIP": "0.0.0.2",
    "statsSaveInterval": 60
  },
  "gfwList": {
    "ip": "10.35.10.200",
    "content": "/root/dns/data/gfwlist.txt",
    "enabled": false
  },
  "log": {
    "level": "debug",
    "maxSize": 100,
    "maxBackups": 10,
    "maxAge": 30
  }
}